Issue 117461 - GridControl: Illegal part of row entries is shown after the addRows
Summary: GridControl: Illegal part of row entries is shown after the addRows
Status: CLOSED FIXED
Alias: None
Product: App Dev
Classification: Unclassified
Component: api (show other issues)
Version: 3.3.0 or older (OOo)
Hardware: PC All
: P3 Normal
Target Milestone: ---
Assignee: jsc
QA Contact: issues@api
URL:
Keywords:
Depends on:
Blocks: 121368
  Show dependency tree
 
Reported: 2011-03-18 16:22 UTC by hanya
Modified: 2017-05-20 09:32 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
including a macro to reproduce the problem (12.83 KB, application/vnd.oasis.opendocument.text)
2011-03-18 16:23 UTC, hanya
no flags Details
Proposed patch to fix this problem (687 bytes, patch)
2012-06-22 02:59 UTC, hanya
hanya.runo: review?
Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description hanya 2011-03-18 16:22:23 UTC
procedure to reproduce the bug on the attached document:
- open the attached document and push button to show the dialog
=> dialog having a grid control and some buttons is shown
- push "Add rows" button two times
=> 10 rows are added and now vertical scrollbar is shown on the grid control
- scroll down to the bottom of the rows with the scroll bar
- push "Remove All" button
=> all rows are removed, row count is 0 when "Row Count" button is pushed
- push "Add rows" button 
=> only two rows are shown but row count button shows 5 rows are added
- push "Add rows" button
=> vertical scroll bar has been shown and now I can scroll up to the first row
Comment 1 hanya 2011-03-18 16:23:27 UTC
Created attachment 76146 [details]
including a macro to reproduce the problem
Comment 2 Oliver-Rainer Wittmann 2012-06-13 12:30:20 UTC
getting rid of value "enhancement" for field "severity".
For enhancement the field "issue type" shall be used.
Comment 3 hanya 2012-06-22 02:59:49 UTC
Created attachment 78436 [details]
Proposed patch to fix this problem

m_nTopRow should be set to 0 when not m_nRowCount > 0. 
And additional else statement is required when m_nCurRow is ROW_INVALID, this is 
happened after all rows are removed.
Comment 4 jsc 2012-06-25 14:13:45 UTC
patch reviewed, built and tested on trunk

revision 1353565